Bug 738931 - Review Request: perl-Socket-Netlink-Route - Interface to Linux's NETLINK_ROUTE netlink socket protocol
Summary: Review Request: perl-Socket-Netlink-Route - Interface to Linux's NETLINK_ROUT...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Remi Collet
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 738589
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-16 03:03 UTC by Mathieu Bridon
Modified: 2015-12-04 03:09 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-04 03:09:04 UTC
fedora: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mathieu Bridon 2011-09-16 03:03:16 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-Route.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-Route-0.03-1.fc16.src.rpm
Description:
This module contains the low-level constants and structure handling
functions required to use the NETLINK_ROUTE protocol of Linux's PF_NETLINK
socket family. It is suggested to use the high-level object interface to
this protocol instead; see IO::Socket::Netlink::Route.


$ rpmlint ./perl-Socket-Netlink-Route*
perl-Socket-Netlink-Route.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Socket-Netlink-Route-0.03/LICENSE
2 packages and 1 specfiles checked; 1 errors, 0 warnings.

I opened an upstream bug about the incorrect FSF address:
    https://rt.cpan.org/Public/Bug/Display.html?id=71001

Comment 1 Mathieu Bridon 2011-09-16 03:03:49 UTC
This package depends on perl-Socket-Netlink being approved first.

Comment 2 Mathieu Bridon 2011-09-16 05:45:25 UTC
I found and fixed an error with my Provides filter which was overzealous.

Spec URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-Route.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-Route-0.03-2.fc16.src.rpm


$ rpmlint ./perl-Socket-Netlink-Route*
perl-Socket-Netlink-Route.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Socket-Netlink-Route-0.03/LICENSE
3 packages and 1 specfiles checked; 1 errors, 0 warnings.

Comment 3 Remi Collet 2011-09-17 08:46:41 UTC
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [x] Rpmlint output:
perl-Socket-Netlink-Route.noarch: E: incorrect-fsf-address /usr/share/doc/perl-Socket-Netlink-Route-0.03/LICENSE
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines including the Perl specific items
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: GPL+ or Artistic
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : ea9ca0658e0a3271d66a58d4fa5a30a8  /tmp/Socket-Netlink-Route-0.03.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15 x86_64
 [x] Package is not known to require ExcludeArch
 [x] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [x] Packages don't bundle copies of system librarie
 [x] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [-] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.
     

=== SUGGESTED ITEMS ===
 [x] Final requires
perl(:MODULE_COMPAT_5.12.4)  
perl(Socket::Netlink) >= 0.03
perl(base)  
perl(Carp)  
perl(constant)  
perl(Exporter)  
perl(IO::Socket::Netlink) >= 0.03
perl(IO::Socket::Netlink::_Message)  
perl(IO::Socket::Netlink::Route::_Message)  
perl(Socket)  
perl(Socket::Netlink::Route)  
perl(Socket::Netlink::Route_const)  
 [x] Final provides
perl(Socket::Netlink::Route_const) = 0.03
perl(IO::Socket::Netlink::Route) = 0.03
perl(IO::Socket::Netlink::Route::_IfaddrMsg)  
perl(IO::Socket::Netlink::Route::_IfinfoMsg)  
perl(IO::Socket::Netlink::Route::_Message)  
perl(IO::Socket::Netlink::Route::_NdMsg)  
perl(IO::Socket::Netlink::Route::_RtMsg)  
perl(Socket::Netlink::Route) = 0.03
perl-Socket-Netlink-Route = 0.03-2.fc15.remi
 [x] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [?] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [-] Reviewer should test that the package builds in mock.
     Tested on: Koji N/A
     Tested on: mock fc15 i386
 [x] The package should compile and build into binary rpms on all supported architectures.
     Tested on: i386 + x86_64
 [x] Package functions as described.
     Tested with the provided examples
 [-] If scriptlets are used, those scriptlets must be sane. 
 [-] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [x] %check is present and the tests pass


Should:
- for incorrect-fsf-address, please, add bug link in your spec
- make %file more exclicite (I personally hate to wide joker)

No blocker.
Waiting for others packages to be approved.

Comment 4 Mathieu Bridon 2011-09-19 07:57:28 UTC
Spec URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-Route.spec
SRPM URL: http://bochecha.fedorapeople.org/packages/perl-Socket-Netlink-Route-0.03-3.fc16.src.rpm

(In reply to comment #3)
> Should:
> - for incorrect-fsf-address, please, add bug link in your spec

Done.

> - make %file more exclicite (I personally hate to wide joker)

Fixed.

Comment 5 Remi Collet 2011-09-19 15:44:48 UTC
========
Approved
========

Comment 6 Mathieu Bridon 2011-09-20 03:00:24 UTC
New Package SCM Request
=======================
Package Name: perl-Socket-Netlink-Route
Short Description: Interface to Linux's NETLINK_ROUTE netlink socket protocol
Owners: bochecha
Branches: f16 el6
InitialCC: perl-sig

Comment 7 Gwyn Ciesla 2011-09-20 04:30:02 UTC
Git done (by process-git-requests).

Comment 8 Petr Šabata 2012-01-05 15:38:00 UTC
Anything happening in here?  Have you built the package?  Can this bug be closed?

Comment 9 Mathieu Bridon 2012-01-06 03:55:41 UTC
See https://bugzilla.redhat.com/show_bug.cgi?id=738589#c9 for why I'm keeping this bug open.

Comment 10 James Hogarth 2015-12-04 03:09:04 UTC
This package is in rawhide.

Closing this bug in an effort to tidy the queue.

If there are outstanding issues please open a bug against the package itself.


Note You need to log in before you can comment on or make changes to this bug.